PIP 0.5.0_alpha Platform-Independent Primitives

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w

### - o -

- open() : PIConfig , PIIODevice , PIIOString
- openDevice() : PIBinaryLog , PIEthernet , PIFile , PIIODevice , PIIOString , PISerial
- opened() : PIIODevice
- openTemporary() : PIFile
- operator bool() : PIConfig::Entry
- operator char() : PIConfig::Entry
- operator const char *() : PIString
- operator const std::string() : PIString
- operator double() : PIConfig::Entry
- operator float() : PIConfig::Entry
- operator int() : PIConfig::Entry , PIFlags< Enum >
- operator long() : PIConfig::Entry
- operator PIString() : PIConfig::Entry
- operator PIStringList() : PIConfig::Entry
- operator short() : PIConfig::Entry
- operator uchar() : PIConfig::Entry
- operator uint() : PIConfig::Entry
- operator ulong() : PIConfig::Entry
- operator ushort() : PIConfig::Entry
- operator!=() : PIByteArray , PIChar , PIFlags< Enum > , PIString , PIStringList , PISystemTime , PIVariant , PIVector< T >
- operator&() : PIFlags< Enum >
- operator&=() : PIFlags< Enum >
- operator*() : PISystemTime
- operator*=() : PISystemTime
- operator+() : PIString , PISystemTime
- operator+=() : PISystemTime
- operator-() : PISystemTime
- operator-=() : PISystemTime
- operator/() : PISystemTime
- operator/=() : PISystemTime
- operator<() : PIChar , PIFlags< Enum > , PIString , PISystemTime
- operator<<() : PIBinaryLog::BinLogInfo , PIByteArray , PICout , PIFile , PIString , PIStringList , PIVector< T >
- operator<=() : PIChar , PIFlags< Enum > , PIString , PISystemTime
- operator=() : PIChar , PIFlags< Enum > , PIVariant
- operator==() : PIByteArray , PIChar , PIFlags< Enum > , PIString , PIStringList , PISystemTime , PIVariant , PIVector< T >
- operator>() : PIChar , PIFlags< Enum > , PIString , PISystemTime
- operator>=() : PIChar , PIFlags< Enum > , PIString , PISystemTime
- operator>>() : PIByteArray , PIFile , PIString
- operator[]() : PIFlags< Enum > , PISet< T > , PIString
- operator^() : PIFlags< Enum >
- operator^=() : PIFlags< Enum >
- operator|() : PIFlags< Enum >
- operator|=() : PIFlags< Enum >
- outSpeed() : PISerial